:: PlayerAdvance.org ::  

Précédent   :: PlayerAdvance.org :: > :: Hack :: > Archives - Divers (NDS)

Publicité

 
 
Outils de la discussion Modes d'affichage
Vieux 02/02/2007, 15h55   #1
dark schneider
Membre
 
Date d'inscription: 07/08/2006
Messages: 29
Question ds organize

bon je vois qu'il n'y a encore aucun topic sur ds organize

il n'y a pas non plus de tuto sur le sujet

mon problème c'est que j'ai placé ds organize 2.3 sur mon m3 ds simply et il ne marche pas
je lance DSOrganize Gray.nds puis il indique " please wait initialising FAT

et ensuite il met:" error! you are not using a card that is compatible with Chishm's FAT library. Please run this program using a GBAMP or other comlpatible card!

quelqu'un sait m'expliquer comment on fait fonctionner ce prog sur le m3 simply?
dark schneider est déconnecté  

Publicité

Vieux 02/02/2007, 17h27   #2
Badablek
Membre
 
Date d'inscription: 23/11/2005
Messages: 29
Par défaut

Ds Organize 2.3 n'est absolument PAS compatible avec le M3 SImply, donc forcement ca ne risque pas de marcher

Il ne faut pas penser que, vu qu'un homebrew supporte les M3 Slot2, automatiquement il supportera les M3 Slot1. L'accès aux fichiers est totalement différent, et la librairie FAT tout autant.

Il te faut le dernier DS Organize (2.45) et le patcher avec la librairie DLDI du R4DS. Et seulement là, tu pourras t'en servir sur M3 Simply.
Badablek est déconnecté  
Vieux 02/02/2007, 20h12   #3
magicwp
Membre confirmé
 
Date d'inscription: 10/11/2005
Messages: 144
Par défaut

Citation:
Envoyé par Badablek
Il te faut le dernier DS Organize (2.45) et le patcher avec la librairie DLDI du R4DS. Et seulement là, tu pourras t'en servir sur M3 Simply.
Par contre pour DS-X ce doit être le patch GBAMP CF (pas de rapport avec le sujet de départ, mais autant le préciser )
magicwp est déconnecté  
Vieux 04/02/2007, 15h28   #4
Malmohus
 
Messages: n/a
Par défaut

oui mais nan le DS-X si tu regarde la FAQ de DSorganize tu verras :

DS-X autopatched by DS-X OS

pas besoin de patch DLDI pour ce homebrew avec ce linker et je confirme que la version 2.45 fonctionne très bien avec

par contre en cas de besoin pour d'autres homebrew c'est bien le patch GBAMP CF qu'il faut utiliser
 
Vieux 05/02/2007, 16h55   #5
dark schneider
Membre
 
Date d'inscription: 07/08/2006
Messages: 29
Par défaut

Citation:
Envoyé par Badablek
Ds Organize 2.3 n'est absolument PAS compatible avec le M3 SImply, donc forcement ca ne risque pas de marcher

Il ne faut pas penser que, vu qu'un homebrew supporte les M3 Slot2, automatiquement il supportera les M3 Slot1. L'accès aux fichiers est totalement différent, et la librairie FAT tout autant.

Il te faut le dernier DS Organize (2.45) et le patcher avec la librairie DLDI du R4DS. Et seulement là, tu pourras t'en servir sur M3 Simply.
merci pour ta réponse , mais j'ai réussi à trouver après moultes recherches ça n'a pas été une mince affaire!

maintenant il fonctionne correctement, et j'ai réussi à le mettre en français!
dark schneider est déconnecté  
Vieux 07/02/2007, 20h55   #6
Zoowy
Membre confirmé
 
Date d'inscription: 22/07/2006
Localisation: Nancy
Messages: 87
Par défaut

bonjour a tous,
je vais poursuivre le sujet plutot que den refaire un nouveau, voila je me souviens avoir vu que dsorganize etait compatible avec quasi tous les linkers depuis l'arrivée du patch dldi mi janvier.
J'ai un EZ4 Lite en micro sd et j'ai eu un peu de temps pour essayer de faire marcher dsorganize ces derniers jours mais je ne comprend pas sur le site officiel il est marqué de patcher avec le ezsd.dldi puis "append header" traduction google apposer l'entete... j'ai regardé si yavais des sujets sur gxmod pa les topics officiels ez4 et meme sur le site de dsorganize mais rien trouvé sur le sujet.

Si quelqu'un qui a un ez4 a fait marcher dsorganize ou sais ce qu'il faut faire merci de me mettre sur la voie ca serait sympa je vois pas quelle entete mettre...

bonne soirée
Zoowy est déconnecté  
Vieux 07/02/2007, 22h00   #7
Badablek
Membre
 
Date d'inscription: 23/11/2005
Messages: 29
Par défaut

salut

j'avais vu déjà ta question sur GX-mod, mais je n'y avais pas répondu pour ne pas d'induire en erreur, n'étant pas sûr que ma réponse soit la bonne....'fin bref, je me jette à l'eau, ca ne coûte rien d'essayer. Pour moi, "append header", ca veut tout simplement dire d'ajouter le loader.

Sur les linkers slot2, un loader doit être ajouté dans l'entête du binaire pour que ca marche. En général les développeurs fournissent le binaire "pur" (.nds) ainsi que le binaire avec loader (.ds.gba ou .sc.gba).

Le loader fait 512 octets et fait donc office d'entête.

Il te faut donc patcher en dldi puis ajouter le loader, tu peux passer par un soft, ou le faire par ligne de commande

copy/b loader.bin + homebrew.nds homebrew.ds.gba

Le loader doit être universel, tu peux le récupérer d'un homebrew qui marche sur ton EZ4 en l'ouvrant à l'aide d'un éditeur héxa et de sauvegarder les 512 premiers octets.

Sinon tu peux essayer avec cet excellent petit utilitaire codé par Reppa, qui permet d'ajouter le loader.

http://rapidshare.com/files/15400437...DSGBA.rar.html
Badablek est déconnecté  
Vieux 08/02/2007, 01h24   #8
Zoowy
Membre confirmé
 
Date d'inscription: 22/07/2006
Localisation: Nancy
Messages: 87
Par défaut

merci de te jeter a l'eau ca aide mieux que de rester muet je testerais ton approche de la question bientot merci!
en attendant j'ai degoté une version speciale 2.3 EZ4 toute faite, et qui marche! bon maintenant ya la 2.45 donc jessaierais de me faire une 2.45 patchée EZ4 avec tes renseignements! merci bcp!
Zoowy est déconnecté  
Vieux 08/02/2007, 16h31   #9
Huitopy
Membre
 
Date d'inscription: 17/07/2006
Localisation: Poitiers
Messages: 18
Par défaut

C'est tout à fait ça. Même si le patcher DLDI permet de patcher les ds.gba (qui est fourni dans l'archive de DSO), la faq précise effectivement de patcher le .nds puis d'appliquer le header gba comme l'indique Badablek. Par contre, pour pouvoir utiliser DSO pour lancer des fichiers, il faut aussi penser à patcher (DLDI) le fichier exec_stub.bin comme expliqué dans la FAQ.
Huitopy est déconnecté  
Vieux 08/02/2007, 19h06   #10
Worlor
Membre confirmé
 
Date d'inscription: 07/08/2006
Messages: 89
Par défaut

Citation:
Envoyé par magicwp
Par contre pour DS-X ce doit être le patch GBAMP CF (pas de rapport avec le sujet de départ, mais autant le préciser )
J'ai un GBAMP CF et y'a pas besoin de patcher : il accepte les cleans homebrews (presque tout marche : qu'il soit FAT librairy ou autre ; les seuls homebrew qui bloquent sont omalone, temby tower, reveil humain )
Worlor est déconnecté  
Vieux 09/02/2007, 12h45   #11
Badablek
Membre
 
Date d'inscription: 23/11/2005
Messages: 29
Par défaut

Les "clean" homebrews, ca n'existe pas

par défaut la librairie de Chishm n'inclut aucun driver, et donc aucun linker n'est supporté nativement. Les homebrews qui marchent direct sur ton GBAMP ont soit la librairie du GBAMP incluse (vu que c'est le premier linker à avoir eu droit à la librairie), ou sont déjà patchés pour le GBAMP en DLDI....

Dans tous les cas, on ne peut pas parler de clean homebrews, puisque là c'est une question de librairie incluse ou non....le patchage ne fait QUE rajouter le pilote adéquat.
Badablek est déconnecté  
 

Liens sociaux

Publicité



Utilisateurs regardant la discussion actuelle : 1 (0 membre(s) et 1 invité(s))
 
Outils de la discussion
Modes d'affichage

Règles de messages
Vous ne pouvez pas créer de nouvelles discussions
Vous ne pouvez pas envoyer des réponses
Vous ne pouvez pas envoyer des pièces jointes
Vous ne pouvez pas modifier vos messages

Les balises BB sont activées : oui
Les smileys sont activés : oui
La balise [IMG] est activée : oui
Le code HTML peut être employé : non
Navigation rapide


Fuseau horaire GMT +2. Il est actuellement 04h35.


Édité par : vBulletin® version 3.7.2
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd. Tous droits réservés.
Version française #16 par l'association vBulletin francophone
Design par Ass-Itch, DJP et Dr.Vince